% definindo o sistema de EDO's
F = @(s,z) Exemplo(s,z);

% tempo inicial e final
t0=0;             % tempo inicial
tf=pi;            % tempo final
h=0.01;           % passo de integracao

% condicoes iniciais
xi=-1;            % valor minimo de x
xf=0.8;           % valor máximo de x
dx=0.01;          % incremento de x

figure;

x=(xi:dx:xf);
plot(x,x,':')     % representa a diagonal 
hold on

% aplicando o metodo RKF45
% para cada condicao inicial na secao transversal

M = length(x);

for i=1:M
  x0=x(i);
  z = RK4(t0,tf,h,x0,F); % x(i) e condicao inicial
  N=length(z);
  px(i)=z(N); % imagem pela transformacao de Poincare

end

% representacao grafica do resultado
plot(x,px)


